!***********************************************************************
!$Id: config.h,v 1.4 2012/12/24 02:38:24 ishikawa Exp $
! Configuration file
! set up lattice size and node size
!***********************************************************************
!******************************************
! lattice size
! supply even numbers
!******************************************
#define _NTX  16
#define _NTY  16
#define _NTZ  16
#define _NTT  32

!******************************************
! node size
! supply numbers which can divide the 
! above lattice size _NT{XYZ}
!******************************************
#define _NDIMX  2
#define _NDIMY  2
#define _NDIMZ  2


!******************************************
!
! if _NO_PARALLEKCHECK_ is defined, the output result (solution) depends
! on the MPI parallelizem (_NDIMX,__NDIMY,_NDIMZ,_NDIMT). 
! The initialization is parallelized and the cost is minimized.
!
! if _NO_PARALLEKCHECK_ is undefined, the output result (solution) is independent
! from the MPI parallelizem (_NDIMX,__NDIMY,_NDIMZ,_NDIMT). 
! The initialization is sequentially done and the cost is large for large lattice sizes.
!
!******************************************
!#define _NO_PARALLEKCHECK_
#undef _NO_PARALLEKCHECK_

!******************************************
! Do not edit the following lines
!******************************************
#define _VERSION_ "CCS-QCDSolverBench-v0.999"

!******************************************
! lattice size/node
!******************************************
#define _NX  (_NTX/_NDIMX)
#define _NY  (_NTY/_NDIMY)
#define _NZ  (_NTZ/_NDIMZ)

!******************************************
! Check the parallelism
!******************************************
#if _NDIMX > 1
#define _DEPTHX 1
#else
#define _DEPTHX 0
#endif
#if _NDIMY > 1
#define _DEPTHY 1
#else
#define _DEPTHY 0
#endif
#if _NDIMZ > 1
#define _DEPTHZ 1
#else
#define _DEPTHZ 0
#endif
#undef _singlePU
#if (_DEPTHX==0) && (_DEPTHY==0) && (_DEPTHZ==0)
#define _singlePU
#endif

!******************************************
! IO LIST
!******************************************
#define _FILE_IO_BICGSTAB_HMC   22
#define _FILE_IO_LUDCMP         23
